Skip to main content
POST
/
commerce
/
rules
/
calloffrelease
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "callOffOrderRules": [
    "<string>"
  ],
  "code": "<string>",
  "customerRules": [
    "<string>"
  ],
  "daysBeforeShipDate": 123,
  "description": "<string>",
  "enabled": true,
  "metaData": "<unknown>",
  "minimumFillRate": 123,
  "name": "<string>",
  "productRules": [
    {
      "code": "<string>",
      "masterCatalogId": 123
    }
  ],
  "rank": 123,
  "sortAttribute": "<string>",
  "validForAllSites": true,
  "validSites": [
    123
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Call-Off Release Rule contract (CAT-7736). Tenant-owned, internally master-catalog-scoped ranked admin rule for the B2B Supply Chain OMS call-off order release pipeline.

auditInfo
object
callOffOrderRules
string[] | null

Referenced Call-Off-Order Rule codes. Max 1 entry. At least one of ProductRules, CustomerRules, or CallOffOrderRules must be non-empty (FR-007, FR-008).

code
string | null

Unique identifier. Auto-generated on create if not supplied. Immutable after creation. Max 30 characters; must match GeneralAlphaNumericCharactersRegex (FR-005, FR-016).

customerRules
string[] | null

Referenced Customer Rule codes. Max 1 entry (FR-007, FR-008).

daysBeforeShipDate
integer<int32>

Days before the ship date within which this rule applies. Inclusive [0, 365] (FR-015).

description
string | null

Optional description. Max 500 characters (FR-003).

enabled
boolean | null

Whether the rule is active. Defaults to true on insert (FR-003, FR-011).

metaData
any | null

Opaque JSON metadata passthrough. Persisted as nvarchar(MAX). Cleared on PUT if omitted (FR-023).

minimumFillRate
integer<int32>

Minimum fill rate threshold [0, 100] (integer percentage). 0 is valid (FR-027).

name
string | null

Display name. Required. Max 200 characters (FR-003).

productRules
object[] | null

Referenced Product Rule criteria. Max 1 entry. Each entry requires both code and masterCatalogId; the (code, masterCatalogId) pair must resolve to an existing ProductRule with RuleType=CallOffRelease (FR-007, FR-008).

rank
integer<int32>

Priority rank, unique per (TenantId, MasterCatalogId). Auto-assigned to MAX(Rank)+1 when omitted or ≤0 on create (FR-006, FR-017).

sortAttribute
string | null

Optional tiebreaker attribute name used by the downstream call-off release engine. Max 50 characters. null, absent, and empty are all accepted (FR-026).

validForAllSites
boolean | null

When true the rule applies to all tenant sites; ValidSites is ignored (FR-022).

validSites
integer<int32>[] | null

Site IDs this rule applies to. Each must be tenant-owned (FR-007, FR-022).

Response

OK

Call-Off Release Rule contract (CAT-7736). Tenant-owned, internally master-catalog-scoped ranked admin rule for the B2B Supply Chain OMS call-off order release pipeline.

auditInfo
object
callOffOrderRules
string[] | null

Referenced Call-Off-Order Rule codes. Max 1 entry. At least one of ProductRules, CustomerRules, or CallOffOrderRules must be non-empty (FR-007, FR-008).

code
string | null

Unique identifier. Auto-generated on create if not supplied. Immutable after creation. Max 30 characters; must match GeneralAlphaNumericCharactersRegex (FR-005, FR-016).

customerRules
string[] | null

Referenced Customer Rule codes. Max 1 entry (FR-007, FR-008).

daysBeforeShipDate
integer<int32>

Days before the ship date within which this rule applies. Inclusive [0, 365] (FR-015).

description
string | null

Optional description. Max 500 characters (FR-003).

enabled
boolean | null

Whether the rule is active. Defaults to true on insert (FR-003, FR-011).

metaData
any | null

Opaque JSON metadata passthrough. Persisted as nvarchar(MAX). Cleared on PUT if omitted (FR-023).

minimumFillRate
integer<int32>

Minimum fill rate threshold [0, 100] (integer percentage). 0 is valid (FR-027).

name
string | null

Display name. Required. Max 200 characters (FR-003).

productRules
object[] | null

Referenced Product Rule criteria. Max 1 entry. Each entry requires both code and masterCatalogId; the (code, masterCatalogId) pair must resolve to an existing ProductRule with RuleType=CallOffRelease (FR-007, FR-008).

rank
integer<int32>

Priority rank, unique per (TenantId, MasterCatalogId). Auto-assigned to MAX(Rank)+1 when omitted or ≤0 on create (FR-006, FR-017).

sortAttribute
string | null

Optional tiebreaker attribute name used by the downstream call-off release engine. Max 50 characters. null, absent, and empty are all accepted (FR-026).

validForAllSites
boolean | null

When true the rule applies to all tenant sites; ValidSites is ignored (FR-022).

validSites
integer<int32>[] | null

Site IDs this rule applies to. Each must be tenant-owned (FR-007, FR-022).